<%= form_with(model: order_item, local: true) do |form| %>
  <% if order_item.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(order_item.errors.count, "error") %> prohibited this order_item from being saved:</h2>

      <ul>
      <% order_item.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :order_id %>
    <%= collection_select(:order_item, :order_id, Order.all, :id, :customer, prompt: true) %>
  </div>

  <div class="field">
    <%= form.label :menu_item_id %>
    <%= collection_select(:order_item, :menu_item_id, MenuItem.all, :id, :name, prompt: true) %>
  </div>

  <div class="field">
    <%= form.label :quantity %>
    <%= form.number_field :quantity, id: :order_item_quantity %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
